Subject: Re: gitweb wishlist

From: David Mansfield <[email-masked]>
Date: Wed, 25 May 2005 22:51:44 -0400

Thomas Glanzmann wrote:
> Hello,
> 
> 
>>	WARNING: Invalid PatchSet 775, Tag syslinux-2_12-pre7:
>>	    memdisk/init32.asm:1.3=after, memdisk/Makefile:1.26=before. Treated as 'before'
>>	WARNING: Invalid PatchSet 775, Tag syslinux-2_12-pre7:
>>	    memdisk/init32.asm:1.3=after, memdisk/e820test.c:1.7=before. Treated as 'before'
>>	...
> 
> 
> actually I think this is the broken upstream version. It can't parse
> dates right. Just look at the exported patches and see if them all from
> 1970. However the debian package has a patch in which solves it:
> 
> maybe you should try with the attached patch or with the version that
> comes with debian sarge. I also reported this problem a while back to
> the original author.
> 

I was about to apply this and I already had in it my cvs tree!  Funny 
how these things go.  I must have gotten it before, applied it and never 
released a new version.  Funny that this one hase the tm.tm_isdst = 0 
that is missing from the version I applied (and fixes an important bug).

Anyway, I'm about to release a new version cumulative with all this, a 
fixed ancestor version, correct ordering for those pesky import commits, 
and a couple other annoying fixes.

BTW: the above warnings are actually legit in this case.

David